Bug 1276926 - (nipy-data) Review Request: nipy-data - Test data and brain templates for nipy
Review Request: nipy-data - Test data and brain templates for nipy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro python-nipy
  Show dependency treegraph
 
Reported: 2015-11-01 07:34 EST by Igor Gnatenko
Modified: 2015-12-05 20:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-05 20:22:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-01 07:34:52 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/nipy-data.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/nipy-data-0.2-1.fc24.src.rpm
Description: Test data and brain templates for nipy.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-24 21:37:42 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
Upstream specifies BSD.

[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 21 files have unknown license. Detailed
     output of licensecheck in /var/tmp/1276926-nipy-data/licensecheck.txt
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
You probably should do that.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: nipy-data-0.2-1.fc24.noarch.rpm
          nipy-data-0.2-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
nipy-data (rpmlib, GLIBC filtered):

Provides
--------
nipy-data:
    nipy-data

Issues:
- data files are installed as /usr/share/nipy/nipy/nipy-data. Is the double "nipy" intended?

Package is APPROVED.
Comment 2 Igor Gnatenko 2015-11-25 02:13:52 EST
$ python -c 'import nipy.utils; print(nipy.utils.example_data.msg)'
nipy/__init__.py:25: UserWarning: Running the tests from the install directory may trigger some failures
  warnings.warn('Running the tests from the install directory may '
Could not find datasource "nipy/data" in data path "/usr/share/nipy:/usr/local/share/nipy:/home/brain/.nipy"; Is it possible you have not installed a data package?

You may need the package "nipy-data"

You can download and install the package from:

http://nipy.org/data-packages/nipy-data-0.2.tar.gz

Check the instructions in the ``doc/users/install_data.rst`` file in the nipy
source tree, or online at http://nipy.org/nipy/stable/users/install_data.html

If you have the package, have you set the path to the package correctly?

[brain@x1carbon nipy-0.4.0]$ python -c 'import nipy.utils; print(nipy.utils.templates.msg)'
nipy/__init__.py:25: UserWarning: Running the tests from the install directory may trigger some failures
  warnings.warn('Running the tests from the install directory may '
Could not find datasource "nipy/templates" in data path "/usr/share/nipy:/usr/local/share/nipy:/home/brain/.nipy"; Is it possible you have not installed a data package?

You may need the package "nipy-templates"

You can download and install the package from:

http://nipy.org/data-packages/nipy-templates-0.2.tar.gz

Check the instructions in the ``doc/users/install_data.rst`` file in the nipy
source tree, or online at http://nipy.org/nipy/stable/users/install_data.html

If you have the package, have you set the path to the package correctly?


so it should be in /usr/share/nipy/nipy/data. I will fix in importing, but anyway it's double nipy
Comment 3 Igor Gnatenko 2015-11-25 02:15:11 EST
hm, weird. I installed nipy-data and:
[brain@x1carbon nipy-0.4.0]$ python -c 'import nipy.utils; print(nipy.utils.templates.version)'
nipy/__init__.py:25: UserWarning: Running the tests from the install directory may trigger some failures
  warnings.warn('Running the tests from the install directory may '
0.2
[brain@x1carbon nipy-0.4.0]$ python -c 'import nipy.utils; print(nipy.utils.example_data.version)'
nipy/__init__.py:25: UserWarning: Running the tests from the install directory may trigger some failures
  warnings.warn('Running the tests from the install directory may '
0.2


so paths is correct.
Comment 4 Igor Gnatenko 2015-11-25 02:16:27 EST
btw /usr/share/nipy is used for nipy group packages like nibabel, nipype, nilearn. So it's totally correct. But many thanks for review and clarification.
Comment 5 Till Maas 2015-11-26 16:23:45 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nipy-data
Comment 6 Fedora Update System 2015-11-26 18:43:22 EST
nipy-data-0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-eed9fc358f
Comment 7 Fedora Update System 2015-11-27 21:20:17 EST
nipy-data-0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nipy-data'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-eed9fc358f
Comment 8 Fedora Update System 2015-12-05 20:22:21 EST
nipy-data-0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.